Name: xpm
Version: 3.4k
Release: ipl14mdk
%define LIBVER 4.11

Summary: A pixmap library for the X Window System
License: MIT
Group: System/Libraries

Source0: ftp://ftp.x.org/contrib/libraries/%name-%version.tar.bz2
Source1: ftp://ftp.x.org/contrib/libraries/%name-doc-A4.PS.bz2
Source2: ftp://ftp.x.org/contrib/libraries/%name-tutorial.PS.bz2
Source3: ftp://ftp.x.org/contrib/libraries/%name-FAQ.html
Source4: ftp://ftp.x.org/contrib/libraries/%name-README.html
Source5: ftp://ftp.x.org/contrib/libraries/%{name}_examples.tar.bz2

Patch: %name-3.4k-gcc296.patch
Patch1: %name-3.4k-buildreq.patch

# Automatically added by buildreq on Fri Sep 20 2002
BuildRequires: XFree86-devel

%description
The %name package contains the XPM pixmap library for the X Window
System.  The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

%package devel
Summary: Tools for developing applications which will use the XPM pixmap library
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains the development libraries and header
files  necessary for developing applications which will use the XPM
library.  The XPM library is used by many programs for displaying
pixmaps in the X Window System.

Install the %name-devel package if you want to develop applications using
the XPM pixmap library.  You'll also need to install the %name package.

%package devel-static
Summary: Static libraries for the %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libraries for the %name

%prep
%setup -q
%patch -p1
%patch1 -p1

install -p -m644 %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4 %SOURCE5 doc
perl -pi -e "s,(INCLUDES = -I\\.),\$1 -I$PWD/exports/include," lib/Imakefile

%build
xmkmf
make Makefiles
mkdir -p exports/include/X11
install -p -m644 lib/*.h exports/include/X11
%make_build \
	CDEBUGFLAGS="$RPM_OPT_FLAGS -I$PWD/exports/include" \
	CXXDEBUGFLAGS="$RPM_OPT_FLAGS -I$PWD/exports/include"

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
ln -sf libXpm.so.%LIBVER $RPM_BUILD_ROOT%_x11dir/lib/libXpm.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_x11dir/lib/*.so.*

%files devel
%_x11bindir/*
%_x11libdir/*.so
%_x11includedir/X11/*
%doc CHANGES doc/*-*

%files devel-static
%_x11libdir/*.a

%changelog
* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 3.4k-ipl14mdk
- rebuild with gcc3

* Mon Mar 18 2002 Stanislav Ievlev <inger@altlinux.ru> 3.4k-ipl13mdk
- Rebuilt
- New devel-static package
- Light buildreq fixes

* Sat Dec 30 2000 Dmitry V. Levin <ldv@fandra.org> 3.4k-ipl12mdk
- Specfile cleanup.

* Mon Nov 28 2000 AEN <aen@logic.ru>
- gcc296 patch
- build for RE

* Thu Sep 05 2000 Francis Galiegue <fg@mandrakesoft.com> 3.4k-10mdk
- More macros
- Let spec-helper do its job...

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.4k-9mdk
- automatically added BuildRequires

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 3.4k-8mdk
- Release build.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Increase release for compat with cassini.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh specs.
- 3.4k.

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 3.4j
- spec file cleanups
- added docs to the devel package

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
